This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 755531

Summary: openssh-5.8p2-21 indicates version 5.8p1 instead of 5.8p2
Product: [Fedora] Fedora Reporter: Edgar Hoch <edgar.hoch>
Component: opensshAssignee: Petr Lautrbach <plautrba>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: unspecified    
Version: 16CC: jchadima, mattias.ellert, mgrepl, mvadkert, plautrba, tmraz
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: openssh-5.8p2-22.fc16 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-11-26 18:10:11 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Edgar Hoch 2011-11-21 07:07:02 EST
Description of problem:
ssh indicates wrong version:

# ssh -V 
OpenSSH_5.8p1, OpenSSL 1.0.0e-fips 6 Sep 2011

Version-Release number of selected component (if applicable):
openssh-5.8p2-21.fc16.x86_64

How reproducible:
always

Steps to Reproduce:
1.ssh -V
  
Actual results:
OpenSSH_5.8p1, OpenSSL 1.0.0e-fips 6 Sep 2011

Expected results:
The result of "ssh -V" should be in sync with the package number.
In this case it should indicate version 5.8p2 instead of 5.8p1.
Comment 1 Petr Lautrbach 2011-11-21 08:27:59 EST
Packages needs update source to actual openssh-5.8p2.tar.gz [1]. There is missing version bump in current tarball:

diff -r openssh-5.8p2-rpm/ChangeLog openssh-5.8p2/ChangeLog  
3a4                                                          
>  - (djm) [version.h] crank version                         
diff -r openssh-5.8p2-rpm/version.h openssh-5.8p2/version.h  
5c5                                                          
< #define SSH_PORTABLE  "p1"                                 
---                                                          
> #define SSH_PORTABLE  "p2"                                 


[1] http://ftp.openbsd.dk/pub/OpenBSD/OpenSSH/portable/openssh-5.8p2.tar.gz
Comment 2 Fedora Update System 2011-11-23 13:48:10 EST
openssh-5.8p2-22.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/openssh-5.8p2-22.fc16
Comment 3 Fedora Update System 2011-11-24 21:29:29 EST
Package openssh-5.8p2-22.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing openssh-5.8p2-22.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-16389/openssh-5.8p2-22.fc16
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2011-11-26 18:10:11 EST
openssh-5.8p2-22.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.